# Interface ProviderLike

An interface which is similar to an Angular 2 `Provider`

interface ProviderLike {
deps?: any[];
provide: any;
useClass?: any;
useExisting?: any;
useFactory?: Function;
useValue?: any;
}

- Defined in src/router/resolve/interface.ts:13

##### Index

### Properties

deps?
provide
useClass?
useExisting?
useFactory?
useValue?

## Properties

### `Optional` deps

deps?: any[]

- Defined in src/router/resolve/interface.ts:19

### provide

provide: any

- Defined in src/router/resolve/interface.ts:14

### `Optional` useClass

useClass?: any

- Defined in src/router/resolve/interface.ts:15

### `Optional` useExisting

useExisting?: any

- Defined in src/router/resolve/interface.ts:18

### `Optional` useFactory

useFactory?: Function

- Defined in src/router/resolve/interface.ts:16

### `Optional` useValue

useValue?: any

- Defined in src/router/resolve/interface.ts:17